InconsistentTypeCode (Java Platform SE 8 )
Keywords: org.omg.CORBA.ORBPackage.InconsistentTypeCode class
Date: 2015-11-19

org.omg.CORBA.ORBPackage

## Class InconsistentTypeCode

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.ORBPackage.InconsistentTypeCode

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class InconsistentTypeCode
      extends UserException

  InconsistentTypeCode is thrown when an attempt is made to create a dynamic any with a type code that does not match the particular subclass of `DynAny`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InconsistentTypeCode()` Constructs an `InconsistentTypeCode` user exception with no reason message.
    `InconsistentTypeCode(String reason)` Constructs an `InconsistentTypeCode` user exception with the specified reason message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InconsistentTypeCode

          public InconsistentTypeCode()

      Constructs an `InconsistentTypeCode` user exception with no reason message.

    - #### InconsistentTypeCode

          public InconsistentTypeCode(String reason)

      Constructs an `InconsistentTypeCode` user exception with the specified reason message.
      Parameters:
        `reason` - The String containing a reason message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.